%define oname xfce4-appfinder
%define iconname %{oname}.png

Summary:	Find every application in the system
Name:		xfce-appfinder
Version:	4.4.1
Release:	%mkrel 3
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	xfce4-appfinder-%{version}.tar.bz2
BuildRequires:	xfce-mcs-manager-devel >= %{version} 
BuildRequires:	dbh-devel 
BuildRequires:	ImageMagick
BuildRequires:	perl(XML::Parser)
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfce Appfinder is an useful software that permits you to find 
every application in the system supporting Desktop entry format.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11
%make

%install
rm -rf %{buildroot}
%makeinstall_std  

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,16x16}/apps
convert src/%{oname}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{iconname}
convert src/%{oname}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{iconname}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-FACE" \
  --add-category="Filesystem" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-only-show-in="XFCE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang xfce4-appfinder

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -n %{name} -f xfce4-appfinder.lang
%defattr(-,root,root)
%doc README ChangeLog INSTALL COPYING AUTHORS 
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/xfce4/*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 32842
- s/imagemagick/ImageMagick
- tune up desktop file
- drop old menu style
- spec file clean

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14739
- New release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112320
- New release 4.4.0

* Tue Dec 12 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 95238
- New release 4.3.99.2

* Wed Oct 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.3.90.2-5mdv2007.0
+ Revision: 72350
- Rebuild
- Fix BuildRequires
- import xfce-appfinder-4.3.90.2-3mdv2007.0

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-3mdv2007.0
- use icon marco properly

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-2mdv2007.0
- add missing changelog entry
- use icon marco
  - Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
  - rebuild for xfce-4.3.90.2

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Sun Apr 23 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Tue Feb 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- buildrequires perl-XML-Parser

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 from svn 19739

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%{1}mdv2007.1

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires ImageMagick

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- update file list

* Thu Nov 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 1st Mdk release

